Subject: bug#22506: make change-history now doesn't work at all

From: Paul Eggert <[email-masked]>
Date: Sun, 31 Jan 2016 13:50:20 -0800

Nicolas Petton wrote:
> This worked without any problem.

It worked for you, and it probably would have worked again for you in your 
environment. But it didn't work for the rest of us because we're using the 
public Emacs repository and its commit IDs are different from those in your 
repository. (Welcome to the wonderful world of distributed Git development....)